Package org.wso2.carbon.wsdl2code.stub

## Class WSDL2CodeServiceStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceStub

- All Implemented Interfaces:
    `WSDL2CodeService`

      public class WSDL2CodeServiceStub
      extends org.apache.axis2.client.Stub
      implements WSDL2CodeService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations` |

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WSDL2CodeServiceStub()` | Default Constructor
    `WSDL2CodeServiceStub​(String targetEndpoint)` | Constructor taking the target endpoint
    `WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext)` | Default Constructor
    `WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` | Constructor that takes in a configContext
    `WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` | Constructor that takes in a configContext and useseperate listner

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodegenDownloadData` | `codegen​(String[] options11)` | Auto generated method signature
    `CodegenDownloadData` | `codegenForCXF​(String[] options15)` | Auto generated method signature
    `void` | `startcodegen​(String[] options11, WSDL2CodeServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startcodegenForCXF​(String[] options15, WSDL2CodeServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### WSDL2CodeServiceStub

          public WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                      String targetEndpoint)
                               throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### WSDL2CodeServiceStub

          public WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                      String targetEndpoint,
                                      boolean useSeparateListener)
                               throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### WSDL2CodeServiceStub

          public WSDL2CodeServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext)
                               throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### WSDL2CodeServiceStub

          public WSDL2CodeServiceStub()
                               throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### WSDL2CodeServiceStub

          public WSDL2CodeServiceStub​(String targetEndpoint)
                               throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### codegen

          public CodegenDownloadData codegen​(String[] options11)
                                      throws RemoteException

      Auto generated method signature
      Specified by:
        `codegen` in interface `WSDL2CodeService`
      Parameters:
        `codegen10` -
      Throws:
        `RemoteException`
      See Also:
        `WSDL2CodeService.codegen(java.lang.String[])`

    - #### startcodegen

          public void startcodegen​(String[] options11,
                                   WSDL2CodeServiceCallbackHandler callback)
                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startcodegen` in interface `WSDL2CodeService`
      Parameters:
        `codegen10` -
      Throws:
        `RemoteException`
      See Also:
        `WSDL2CodeService.startcodegen(java.lang.String[], org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceCallbackHandler)`

    - #### codegenForCXF

          public CodegenDownloadData codegenForCXF​(String[] options15)
                                            throws RemoteException

      Auto generated method signature
      Specified by:
        `codegenForCXF` in interface `WSDL2CodeService`
      Parameters:
        `codegenForCXF14` -
      Throws:
        `RemoteException`
      See Also:
        `WSDL2CodeService.codegenForCXF(java.lang.String[])`

    - #### startcodegenForCXF

          public void startcodegenForCXF​(String[] options15,
                                         WSDL2CodeServiceCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startcodegenForCXF` in interface `WSDL2CodeService`
      Parameters:
        `codegenForCXF14` -
      Throws:
        `RemoteException`
      See Also:
        `WSDL2CodeService.startcodegenForCXF(java.lang.String[], org.wso2.carbon.wsdl2code.stub.WSDL2CodeServiceCallbackHandler)`